curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-reporting-replica",
"nodes": 2,
"cpu_millis": 250,
"memory_gbs": 1
}
'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets"
payload = {
"name": "my-reporting-replica",
"nodes": 2,
"cpu_millis": 250,
"memory_gbs": 1
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-reporting-replica', nodes: 2, cpu_millis: 250, memory_gbs: 1})
};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "alb8jicdpr",
"name": "reporting-replica-1",
"status": "active",
"nodes": 2,
"cpu_millis": 250,
"memory_gbs": 1,
"metadata": {
"environment": "<string>"
},
"endpoint": {
"host": "my-service.com",
"port": 8080
},
"connection_pooler": {
"endpoint": {
"host": "my-service.com",
"port": 8080
}
}
}{
"code": "<string>",
"message": "<string>"
}Create a Read Replica Set
Creates a new read replica set for a service. This is an asynchronous operation.
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
"rp1pz7uyae"
The unique identifier of the service.
"d1k5vk7hf2"
Body
A human-readable name for the read replica.
"my-reporting-replica"
Number of nodes to create in the replica set.
2
The initial CPU allocation in milli-cores.
250
The initial memory allocation in gigabytes.
1
Response
Read replica set creation request has been accepted.
"alb8jicdpr"
"reporting-replica-1"
creating, active, resizing, deleting, error "active"
Number of nodes in the replica set.
2
CPU allocation in milli-cores.
250
Memory allocation in gigabytes.
1
Additional metadata for the read replica set
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes